Bug 1256351 - (kf5-akonadi-server) Review Request: kf5-akonadi-server - PIM Storage Service
Review Request: kf5-akonadi-server - PIM Storage Service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2015-08-24 08:05 EDT by Daniel Vrátil
Modified: 2015-12-04 09:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 09:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-24 08:05:58 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-server-15.08.0-1.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-server-15.08.0-1.fc22.src.rpm
Description: PIM Storage Service
Fedora Account System Username: dvratil
Comment 1 Daniel Vrátil 2015-08-31 10:21:41 EDT
Correct Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-server.spec
Comment 2 Jan Grulich 2015-08-31 16:57:04 EDT
1) Some files seems to be also under GPLv2+
2) Use either only %{buildroot} or only $RPM_BUILD_ROOT
3) Invalid URL
4) Shouldn't you use %config for /etc/xdg/akonadi.categories?
5) /etc/xdg/akonadi/mysql-local.conf doesn't seem to exist, is it intentional that you create one in %install section?
Comment 3 Daniel Vrátil 2015-09-01 07:26:37 EDT
Spec URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-server.spec
SRPM URL: https://dvratil.fedorapeople.org/kdepim/review/kf5-akonadi-server-15.08.0-2.fc22.src.rpm

* Tue Sep 01 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-2
- fix license (temporarily)
- use %%{buildroot} everywhere
- fix URL
- use %%config for akonadi.categories


The GPLv2+ license is a defect known to upstream and it has been fixed recently (the files have been relicensed to LGPLv2+).

The mysql-local.conf file can act as an override for options in mysql-global.conf.
Comment 4 Jan Grulich 2015-09-01 07:41:18 EDT
Looks good now, approved.
Comment 5 Daniel Vrátil 2015-09-01 10:54:25 EDT
New Package SCM Request
=======================
Package Name: kf5-akonadi-server
Short Description: PIM Storage Service
Upstream URL: https://projects.kde.org/projects/kde/pim/akonadi
Owners: dvratil group::kde-sig
Branches: f22 f23
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-01 15:22:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.